Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.middleware.util
Class PropertiesJobLoader

    java.lang.Object
      lbg.middleware.util.PropertiesJobLoader

    public class PropertiesJobLoader

extends java.lang.Object

Utility class to load a JobDescriptor from a file in Properties format.

Since:
  2006-12-13
Author:
  Xavier Dalem, Cyril Briquet
See Also:
  `Properties`

Constructor Summary
`PropertiesJobLoader()`

Method Summary
`JobDescriptor` | `loadJobDescription(UserAgent user, java.util.Properties props)` Deprecated. Relying on the current working directory is dangerous and can yield confusing results for the user. The best is usually to specify the directory containing the JDF file using `loadJobDescription(UserAgent, Properties, String)`
`JobDescriptor` | `loadJobDescription(UserAgent user, java.util.Properties props, java.lang.String basedir)` Loads a JobDescriptor form a set of properties coming from a JDF file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertiesJobLoader

    public PropertiesJobLoader()

Method Detail

### loadJobDescription

    @Deprecated
    public JobDescriptor loadJobDescription(UserAgent user,
                                                       java.util.Properties props)
                                     throws GridException

  Deprecated. Relying on the current working directory is dangerous and can yield confusing results for the user. The best is usually to specify the directory containing the JDF file using `loadJobDescription(UserAgent, Properties, String)`

  Loads a JobDescriptor form a set of properties coming fro a JDF file. Pathanmes are resolved from `user.dir`

  Throws:
    `GridException`

### loadJobDescription

    public JobDescriptor loadJobDescription(UserAgent user,
                                            java.util.Properties props,
                                            java.lang.String basedir)
                                     throws GridException

  Loads a JobDescriptor form a set of properties coming from a JDF file.

  Parameters:
    `user` - The user that will manage the JobDescriptor
    `props` - The properties defining the JobDescriptor
    `basedir` - The base directory from where the pathnames (e.g. to data, archive files) will be resolved.
  Returns:
    A fully formed JobDescriptor
  Throws:
    `GridException`
  See Also:
    `JobDescriptor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.